HMWJTextInternal::TextZone Struct Reference

Internal: a struct used to store a text zone. More...

## Public Types

enum | Type { T_Main =0, T_Header =1, T_Footer =2, T_Footnote =3, T_Textbox =4, T_Table =9, T_Comment =10, T_Unknown }
| enum used to define the zone type More...

## Public Member Functions

| TextZone ()
| constructor More...

## Public Attributes

Type | m_type
| the zone type More...
MWAWEntry | m_entry
| the main entry More...
long | m_id
| the file zone id More...
std::multimap< long, PLC > | m_PLCMap
| the plc map More...
std::vector< Token > | m_tokenList
| the tokens list More...
bool | m_parsed
| true if the zone is sended More...

## Detailed Description

Internal: a struct used to store a text zone.

## Member Enumeration Documentation

enum HMWJTextInternal::TextZone::Type

enum used to define the zone type

Enumerator
T_Main |
T_Header |
T_Footer |
T_Footnote |
T_Textbox |
T_Table |
T_Comment |
T_Unknown |

## Constructor & Destructor Documentation

HMWJTextInternal::TextZone::TextZone | ( |  | ) |

inline

constructor

## Member Data Documentation

MWAWEntry HMWJTextInternal::TextZone::m_entry

the main entry

Referenced by HMWJText::computeNumPages(), HMWJText::readTextZone(), and HMWJText::sendText().

long HMWJTextInternal::TextZone::m_id

the file zone id

Referenced by HMWJText::readTextZonesList().

bool HMWJTextInternal::TextZone::m_parsed

mutable

true if the zone is sended

Referenced by HMWJText::sendText().

std::multimap<long, PLC> HMWJTextInternal::TextZone::m_PLCMap

the plc map

Referenced by HMWJText::readTextToken(), HMWJText::readTextZone(), and HMWJText::sendText().

std::vector<Token> HMWJTextInternal::TextZone::m_tokenList

the tokens list

Referenced by HMWJText::getTokenIdList(), HMWJText::readTextToken(), and HMWJText::sendText().

Type HMWJTextInternal::TextZone::m_type

the zone type

Referenced by HMWJText::computeNumPages(), and HMWJText::sendText().

The documentation for this struct was generated from the following file:

- HMWJText.cxx